> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/how-tos/placing-orders/auto-capture/limiting-the-auto-capture-amount.md).

# Limiting the auto-capture amount

How to enable the auto-capture option only for orders under a certain amount

## Problem

You have enabled the auto-capture option for a payment method, but you still want to require a manual capture for orders with a total amount over a specified threshold.

## Solution

To add such a constraint, send a `PATCH` request to the `/api/payment_methods/:id` endpoint, using the `auto_capture_max_amount_cents` attribute value to set the amount over which you want the auto-capture option to be disabled.

### Example

{% tabs %}
{% tab title="Request" %}
The following request updates the payment method identified by the "hJGrTfdaEW " ID to automatically disable the auto capture for orders with a total amount over €2000:

<pre class="language-javascript"><code class="lang-javascript">curl -g -X PATCH \
  'http://yourdomain.commercelayer.io/api/payment_methods/hJGrTfdaEW' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "payment_methods",
    "id": "hJGrTfdaEW",
    "attributes": {
<strong>      "auto_capture": true,
</strong><strong>      "auto_capture_max_amount_cents": 200000
</strong>    }
  }
}'
</code></pre>

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the updated payment method object:

<pre class="language-javascript"><code class="lang-javascript">{
  "data": {
    "id": "hJGrTfdaEW",
    "type": "payment_methods",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/payment_methods/hJGrTfdaEW"
    },
    "attributes": {
      "payment_source_type": "paypal_payments",
      "name": "Paypal Payment", 
      "currency_code": "EUR", 
      "moto": false, 
      "require_capture": true, 
<strong>      "auto_capture": true, 
</strong>      "disabled_at": null, 
      "price_amount_cents": 0, 
      "price_amount_float": 0.0,
      "formatted_price_amount": "€0,00", 
<strong>      "auto_capture_max_amount_cents": 200000, 
</strong><strong>      "auto_capture_max_amount_float": 2000.0, 
</strong><strong>      "formatted_auto_capture_max_amount": "€2000,00",
</strong>      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": null,
      "reference_origin": null,
      "metadata": {}
    },
    "relationships": {
      ...
    },
    "meta": {
      "mode": "test",
      "organization_id": "Qw2eRtYuIo",
      "trace_id": "5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b0c3d6e9f2a5b8c1"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "Qw2eRtYuIo",
    "trace_id": "5b8c1d4e7f0a3b6c9d2e5f8a1b4c7d0e3f6a9b2c5d8e1f4a7b0c3d6e9f2a5b8c1"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## More to read

See our documentation if you need more information on how to [update a payment method](/core-api-reference/payment_methods/update.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/how-tos/placing-orders/auto-capture/limiting-the-auto-capture-amount.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
